Bug 168728 - xmltex-20020625-5.noarch.rpm missing xmltex.fmt file
xmltex-20020625-5.noarch.rpm missing xmltex.fmt file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xmltex (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-19 15:51 EDT by CS Wagner
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 10:18:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description CS Wagner 2005-09-19 15:51:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
xmltex-20020625-5.noarch.rpm is missing xmltex.fmt which is required by xmlto ps.

Version-Release number of selected component (if applicable):
xmlto ps test.xml (will require xmltex.fmt)

How reproducible:
Always

Steps to Reproduce:
1. Install xmltex-20020625-5.noarch.rpm
2. xmlto ps test.xml
3. Fails to find xmltex.fmt
  

Actual Results:  Fails - unable to locate xmltex.fmt

Expected Results:  Should have produced a PS file

Additional info:

I checked the package and the xmltex.fmt file is missing.  Perhaps pdfxmltex.fmt was confused for xmltex.fmt.
Comment 1 Tim Waugh 2005-09-19 18:27:21 EDT
No, the format file is meant to be generated in the %post scriptlet.
Comment 2 Tim Waugh 2005-09-20 11:12:02 EDT
(From private mail:)

fmtutil: running `etex -ini   -jobname=xmltex -progname=xmltex
&hugelatex xmltex.ini' ...
This is pdfeTeX, Version 3.141592-1.21a-2.2 (Web2C 7.5.4) (INITEX)
kpathsea: Running mktexfmt hugelatex.fmt
fmtutil: no info for format `hugelatex'.
Sorry, I can't find the format `hugelatex.fmt'; will try `xmltex.fmt'.
kpathsea: Running mktexfmt xmltex.fmt
fmtutil: no info for format `xmltex'.
I can't find the format file `xmltex.fmt'!
Error: `etex -ini  -jobname=xmltex -progname=xmltex &hugelatex
xmltex.ini' failed
Comment 3 Tim Waugh 2005-09-20 11:12:33 EDT
Do you have tetex-latex installed?  What does 'rpm -q tetex-latex' say?
Comment 4 CS Wagner 2005-09-20 11:13:32 EDT
$ rpm -q tetex-latex
tetex-latex-3.0-6.FC4
Comment 5 Tim Waugh 2005-09-20 12:57:13 EDT
Please try this test update:

https://www.redhat.com/archives/fedora-test-list/2005-September/msg00263.html
Comment 6 CS Wagner 2005-09-20 13:09:44 EDT
That created xmltex.fmt.  Thanks.  Now, I can work on the new error in "xmlto ps":
 This is TeX, Version 3.141592 (Web2C 7.5.4)
 ---! /usr/share/texmf-var/web2c/xmltex.fmt was written by pdfetex
 (Fatal format file error; I'm stymied)
Comment 7 Tim Waugh 2005-09-20 13:28:42 EDT
Something in the latest tetex update seems to have broken this.
Comment 8 Jindrich Novy 2005-09-21 04:32:29 EDT
Hmmm, interesting. IMO this is not an error of tetex-latex but some bad thing
with xsltproc:

[jnovy@enigma ~]$ xmlto -v ps docbook.xml
Format script: /usr/share/xmlto/format/docbook/ps
Convert to XSL-FO
Real stylesheet: http://docbook.sourceforge.net/release/xsl/current/fo/docbook.xsl
xmllint >/dev/null --xinclude --postvalid /home/jnovy/docbook.xml
Stylesheet: /tmp/xmlto-xsl.MS8956
xsltproc --nonet --xinclude \
 -o /tmp/xmlto.pJ8960/docbook.proc \
 /tmp/xmlto-xsl.MS8956 \
 /home/jnovy/docbook.xml
Making portrait pages on USletter paper (8.5inx11in)
Post-process XSL-FO to DVI
This is TeX, Version 3.141592 (Web2C 7.5.4)
---! /usr/share/texmf-var/web2c/xmltex.fmt was written by pdfetex
(Fatal format file error; I'm stymied)

It seems like it calls pdfetex for the conversion from XSL-FO to DVI, what's not
right as it generates PDF.

xmlto -v pdf docbook.xml works fine btw.

Daniel? Any words of wisdom?
Comment 9 Tim Waugh 2005-09-21 04:34:42 EDT
This is nothing to do with xsltproc.  The xsltproc output is the single line
"Making portrait pages...".

Run xmlto with more "-v"s.
Comment 10 Daniel Veillard 2005-09-21 05:24:05 EDT
This really isn't libxslt related, more likely to be at the xmlto calling layer.

Daniel
Comment 11 CS Wagner 2005-09-21 09:23:30 EDT
This is with -vv. I do not know enough about xmlto or docbook to know what is
causing this error.  Just to note, test.xml works with "xmlto html" and "xmlto pdf".

$ xmlto -vv ps test.xml
Format script: /usr/share/xmlto/format/docbook/ps
Convert to XSL-FO
Real stylesheet: http://docbook.sourceforge.net/release/xsl/current/fo/docbook.xsl
xmllint >/dev/null --xinclude --postvalid /home/wagnercs/misc/quanta/test.xml
Stylesheet: /tmp/xmlto-xsl.Ax2876
xsltproc --nonet --xinclude \
 -o /tmp/xmlto.hb2880/test.proc \
 /tmp/xmlto-xsl.Ax2876 \
 /home/wagnercs/misc/quanta/test.xml
Making portrait pages on USletter paper (8.5inx11in)
Post-process XSL-FO to DVI
This is TeX, Version 3.141592 (Web2C 7.5.4)
---! /usr/share/texmf-var/web2c/xmltex.fmt was written by pdfetex
(Fatal format file error; I'm stymied)
Comment 12 Emmanuel Thomé 2006-02-07 11:26:06 EST
I have the same problem ; and, I guess, an explanation and a fix:

This is TeX, Version 3.141592 (Web2C 7.5.4)
        ^^^
---! /usr/share/texmf-var/web2c/xmltex.fmt was written by pdfetex
                                                          ^^^^^^^
(Fatal format file error; I'm stymied)

and indeed:

$ ls -l /usr/bin/pdfxmltex /usr/bin/xmltex
lrwxrwxrwx  1 root root 6 Jul  7  2005 /usr/bin/pdfxmltex -> pdftex
lrwxrwxrwx  1 root root 3 Jul  7  2005 /usr/bin/xmltex -> tex

$ ls -l /usr/bin/latex                     
lrwxrwxrwx  1 root root 7 Jan 18 15:01 /usr/bin/latex -> pdfetex

What this means is that the xmltex command line eventually reaches the 
old tex binary. But the fmt file, as per xmltexfmtutil.cnf, has been
generated by latex, a.k.a pdfetex for the binary.

Simply correct the symlink from /usr/bin/xmltex to latex (program used to
generate the .fmt), and this does the trick.

Please fix, as this renders the package unusable (and caused me headaches).

[ still applies to current devel package xmltex-20020625-6.1 ]
Comment 13 Tim Waugh 2006-02-07 12:07:25 EST
Thanks!  Please try this test update:

https://www.redhat.com/archives/fedora-test-list/2006-February/msg00528.html
Comment 14 Emmanuel Thomé 2006-02-07 13:35:58 EST
fixes the problem here (as expected). I believe the bug can now be closed.
Comment 15 Tim Waugh 2006-02-07 17:38:11 EST
I'll leave it open until the final update is issued.  Thanks for the feedback.
Comment 16 Christian Iseli 2007-01-19 20:01:39 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Note You need to log in before you can comment on or make changes to this bug.